--
-- NHBB980
-- Specialization for New Holland BB 980 from Strawmod
--
-- @author  	Benjamin Biot (J&B Modding)
-- @version 	v1.0
-- @date  		21/11/10
--

NHBB980 = {};

function NHBB980.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Baler, specializations);
end;

function NHBB980:load(savegame)
	
	--Partickel Animation
	self.char = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.Naale1Anim#index"));
	self.clip = getXMLString(self.xmlFile, "vehicle.Naale1Anim#animationClip");
	
	self.ftON = 0;
	self.ftOFF = 5000;
	
	self.onState = false;
	self.offState = true;
	
end;

function NHBB980:delete()
	
end;

function NHBB980:readStream(streamId, connection)

end;

function NHBB980:writeStream(streamId, connection)

end;

function NHBB980:mouseEvent(posX, posY, isDown, isUp, button)
end;

function NHBB980:keyEvent(unicode, sym, modifier, isDown)
end;

function NHBB980:update(dt)

	if self:getIsActiveForInput() and self:getIsActive() then

		if self:getIsTurnedOn() then
			local charId = getAnimCharacterSet(self.char);
			local clipIndex = getAnimClipIndex(charId, self.clip);
			assignAnimTrackClip(charId , 0, clipIndex);
			setAnimTrackLoopState(charId, 0, false);
			setAnimTrackSpeedScale(charId, 0, 25);
			enableAnimTrack(charId, 0);
			if getAnimTrackTime(charId, 0) >= getAnimClipDuration(charId, clipIndex) then
				setAnimTrackTime(charId, 0, 0, true);
			end;
		else
			if charId~=nil then
				disableAnimTrack(charId, 0);
			end;
		end;

	end;
	
end;

function NHBB980:draw()
end;

function NHBB980:updateTick(dt)
end;